Bug 241342 - gnubiff memory leakage
gnubiff memory leakage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnubiff (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 06:37 EDT by Jon
Modified: 2008-05-06 15:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
see error description above. (20.86 KB, image/x-eps)
2007-05-25 06:37 EDT, Jon
no flags Details

  None (edit)
Description Jon 2007-05-25 06:37:29 EDT
Description of problem:
memory leak

Version-Release number of selected component (if applicable):
gnubiff-2.2.6-1.fc6

How reproducible:
very high

Steps to Reproduce:
1.add gnubiff to your panel and wait
2.
3.
  
Actual results:
With running time the memory consumption of gnubiff increase lineraly with time,
until the whole system is slowed down, when the memory consumption is about 10
times larger then usual. Restarting of the process resets the memory usage to
the normal value.

Expected results:
not a linear increasing memory consumption of 1,5MB per minute


Additional info:

measured the memory consumption of gnubiff with pmap over a couple of minutes:

#!/bin/bash
echo $(date +%s) $(pmap -d 32731 |grep mapped|grep writeable|sed 's/K//g'|awk
'{print $2" "$4" "$6}') >> gnub.gnu
sleep 6
exec $0

after approx 1400 sec I changed the "refresh rate of the mailboxes" to a three
times larger value, killed the process and restarted it. the signal reveils that
this a no impact on the gradient of the memory consumption.
a details view in pmap and comparison reveils that it is [anon] who needs the
memory.
Comment 1 Jon 2007-05-25 06:37:29 EDT
Created attachment 155442 [details]
see error description above.
Comment 2 Bug Zapper 2008-04-04 03:17:39 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:37:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.